Package: org.codehaus.groovy.transform.stc

## [Java] Class Receiver<T>

- org.codehaus.groovy.transform.stc.Receiver

-     public class Receiver<T>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Receiver(ClassNode type)`
    `Receiver(ClassNode type, T data)`
    `Receiver(ClassNode type, boolean object, T data)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public T` | `getData()`
    `` | `public ClassNode` | `getType()`
    `` | `public boolean` | `isObject()` Indicates if receiver is an object instance or a class (static) reference.
    `<T>` | `public static Receiver<T>` | `make(ClassNode type)`
    `` | `public final String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public Receiver(ClassNode type)

    - #### public Receiver(ClassNode type, T data)

    - #### public Receiver(ClassNode type, boolean object, T data)

  - ### Method Detail

    - #### public T getData()

    - #### public ClassNode getType()

    - #### public boolean isObject()

      Indicates if receiver is an object instance or a class (static) reference.

      Since:
        5.0.0

    - #### <T> public static Receiver<T> make(ClassNode type)

    - #### @Override
      public final String toString()